Bug 1673849

Summary: Cannot install mongodb-server: Needs to rebuild against boost-1.69.0
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: mongodbAssignee: Patrik Novotný <panovotn>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: admiller, clalancette, hhorak, jpacner, mskalick, panovotn, philip.chimento, strobert, tdawson, tomm.momi
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-28 14:49:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1675409    
Bug Blocks:    

Description Petr Pisar 2019-02-08 09:54:53 UTC
# dnf install mongodb-server
Last metadata expiration check: 0:19:44 ago on Fri 08 Feb 2019 10:33:17 AM CET.
Error: 
 Problem: conflicting requests
  - nothing provides libboost_program_options.so.1.66.0()(64bit) needed by mongodb-server-4.0.3-3.fc30.x86_64
  - nothing provides libboost_system.so.1.66.0()(64bit) needed by mongodb-server-4.0.3-3.fc30.x86_64
  - nothing provides libboost_filesystem.so.1.66.0()(64bit) needed by mongodb-server-4.0.3-3.fc30.x86_64

This is caused by boost that was upgraded to 1.69.0 without rebuilding mongodb.

Comment 1 Philip Chimento 2019-02-11 20:56:43 UTC
Same problem for systemtap:

No match for group package "oprofile"
Error: 
 Problem: package systemtap-4.1-0.20190125git905865da1024.fc30.x86_64 requires systemtap-client = 4.1-0.20190125git905865da1024.fc30, but none of the providers can be installed
  - package systemtap-client-4.1-0.20190125git905865da1024.fc30.x86_64 requires systemtap-runtime = 4.1-0.20190125git905865da1024.fc30, but none of the providers can be installed
  - conflicting requests
  - nothing provides libboost_system.so.1.66.0()(64bit) needed by systemtap-runtime-4.1-0.20190125git905865da1024.fc30.x86_64

Comment 2 Patrik Novotný 2019-02-12 11:02:53 UTC
We are currently in the process of dropping mongodb from Rawhide/F30.

Change page:  https://fedoraproject.org/wiki/Changes/MongoDB_Removal
Fesco ticket: https://pagure.io/fesco/issue/2078